Subject: Building under winnt
From: [email-masked] ("McCoskery, Larry")

24 Jul 1997 12:19:35 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1458.49)
Original-Sender: [email-masked]

I'm just a newbe at this and I suspect that I'm missing some fundamental
yet
obscure step. I've tried building the cdk according to the instructions
in
ftp://ftp.cygnus.com/pub/gnu-win32/latest/faq.txt and here are the steps
that I've tried:

Download cdk-src_tar.gz 
gunzip cdk-src_tar.gz to produce cdk-src.tar
tar xvf cdk-src - produces c:\cdk....

in BASH...
mount c:\\cdk /src
mount c:\\obj /obj
mount c:\\install /install
cd /obj
/src/configure --prefix=/install -v > configure.log 2>&1
make > make.log 2>&1
exit

make.log contains the following lines:

In file included from /src/tcl/unix/../generic/tclPort.h:20,
                 from /src/tcl/unix/../generic/regexp.c:48:
/src/tcl/unix/../generic/../win/tclWinPort.h:19: malloc.h: No such file
or directory
In file included from /src/tcl/unix/../generic/tclPort.h:20,
                 from /src/tcl/unix/../generic/regexp.c:48:
/src/tcl/unix/../generic/../win/tclWinPort.h:27: winsock.h: No such file
or directory
In file included from /src/tcl/unix/../generic/tclPort.h:20,
                 from /src/tcl/unix/../generic/regexp.c:48:
/src/tcl/unix/../generic/../win/tclWinPort.h:29: sys/timeb.h: No such
file or directory
In file included from /src/tcl/unix/../generic/tclPort.h:20,
                 from /src/tcl/unix/../generic/regexp.c:48:
/src/tcl/unix/../generic/../win/tclWinPort.h:74: warning:
`TCL_SHLIB_EXT' redefined
*Initialization*:1: warning: this is the location of the previous
definition
gcc: Internal compiler error: program cpp got fatal signal 33
make: *** [regexp.o] Error 1
make: *** [all] Error 2
make: *** [all-tcl] Error 2

Questions:
1 - am I supposed to be build this under BASH?
2 - If so, what method should be used to tell the compiler to look in
	C:\MSDEV\INCLUDE for those files?
3- WHAT AM I DOING WRONG???

Thanks in advance!

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".